Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl
Class WeightedCalculatorConfig

    java.lang.Object
      com.sun.mdm.index.configurator.impl.WeightedCalculatorConfig

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class WeightedCalculatorConfig
extends java.lang.Object
implements ConfigurationInfo

Weighted survivor strategy configuration object

See Also:
  Serialized Form

Field Summary
`(package private) static java.lang.String` | `ATR_MODULE_NAME` module name
`static java.lang.String` | `ATR_NAME` tag for parsing XML
`(package private) static java.lang.String` | `ATR_PARSER_CLASS` tag for parsing XML
`static java.lang.String` | `MODULE_NAME` tag for parsing XML
`static java.lang.String` | `TAG_CANDIDATE_FIELD` tag for parsing XML
`(package private) static java.lang.String` | `TAG_DEFAULT_PARAMETER` tag for parsing XML
`static java.lang.String` | `TAG_PARAMETER` tag for parsing XML
`static java.lang.String` | `TAG_PREFERENCE` tag for parsing XML
`static java.lang.String` | `TAG_QUALITY` tag for parsing XML
`static java.lang.String` | `TAG_SOURCE` tag for parsing XML
`static java.lang.String` | `TAG_UTILITY` tag for parsing XML

Constructor Summary
`WeightedCalculatorConfig()` Creates new WeightedCalculatorConfig

Method Summary
`int` | `finish()` Finish.
`java.util.Collection` | `getDefaultRules()` Return the default list of rules.
`java.lang.String` | `getModuleType()` Return String representing the module type
`java.util.Collection` | `getRules(java.lang.String candidateField)` Return the list of rules.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATR_MODULE_NAME

    static final java.lang.String ATR_MODULE_NAME

  module name

  See Also:
    Constant Field Values

### ATR_NAME

    public static final java.lang.String ATR_NAME

  tag for parsing XML

  See Also:
    Constant Field Values

### ATR_PARSER_CLASS

    static final java.lang.String ATR_PARSER_CLASS

  tag for parsing XML

  See Also:
    Constant Field Values

### MODULE_NAME

    public static final java.lang.String MODULE_NAME

  tag for parsing XML

  See Also:
    Constant Field Values

### TAG_CANDIDATE_FIELD

    public static final java.lang.String TAG_CANDIDATE_FIELD

  tag for parsing XML

  See Also:
    Constant Field Values

### TAG_DEFAULT_PARAMETER

    static final java.lang.String TAG_DEFAULT_PARAMETER

  tag for parsing XML

  See Also:
    Constant Field Values

### TAG_PARAMETER

    public static final java.lang.String TAG_PARAMETER

  tag for parsing XML

  See Also:
    Constant Field Values

### TAG_PREFERENCE

    public static final java.lang.String TAG_PREFERENCE

  tag for parsing XML

  See Also:
    Constant Field Values

### TAG_QUALITY

    public static final java.lang.String TAG_QUALITY

  tag for parsing XML

  See Also:
    Constant Field Values

### TAG_SOURCE

    public static final java.lang.String TAG_SOURCE

  tag for parsing XML

  See Also:
    Constant Field Values

### TAG_UTILITY

    public static final java.lang.String TAG_UTILITY

  tag for parsing XML

  See Also:
    Constant Field Values

Constructor Detail

### WeightedCalculatorConfig

    public WeightedCalculatorConfig()

  Creates new WeightedCalculatorConfig

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getDefaultRules

    public java.util.Collection getDefaultRules()

  Return the default list of rules.

  Returns:
    default collection of rules

### getModuleType

    public java.lang.String getModuleType()

  Return String representing the module type

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    return String representing the module type

### getRules

    public java.util.Collection getRules(java.lang.String candidateField)

  Return the list of rules.

  Parameters:
    `candidateField` - Candidate name to retrieve the rules for.
  Returns:
    collection of rules.

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.